net.sf.jasperreports.engine.analytics.dataset

## Class MultiAxisDataService

- java.lang.Object
- - net.sf.jasperreports.engine.analytics.dataset.MultiAxisDataService

-     public class MultiAxisDataService
      extends java.lang.Object

  Version:
    $Id: MultiAxisDataService.java 6354 2013-08-01 14:24:51Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `MultiAxisDataService.DataSource`
    `protected class` | `MultiAxisDataService.LevelNode`
    `protected class` | `MultiAxisDataService.MultiAxisBucketingService`
    `protected static class` | `MultiAxisDataService.PropertiesWrapperBucketDefintion`
    `protected static class` | `MultiAxisDataService.ServiceContext`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.commons.logging.Log` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiAxisDataService(JasperReportsContext jasperReportsContext, JRFillExpressionEvaluator expressionEvaluator, MultiAxisData data, byte evaluation)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRecord()`
    `void` | `clearData()`
    `MultiAxisDataSource` | `createDataSource()`
    `protected AxisLevel` | `createLevel(Axis axis, DataAxisLevel dataLevel, byte evaluation, int depth)`
    `protected Measure` | `createMeasure(DataMeasure dataMeasure, byte evaluation)`
    `protected BucketDefinition` | `createRootBucket()`
    `protected AxisLevel` | `createRootLevel(Axis axis)`
    `protected BucketDefinition` | `createServiceBucket(DataAxisLevel level, byte evaluation)`
    `protected MeasureDefinition` | `createServiceMeasure(DataMeasure measure)`
    `protected java.lang.Object` | `evaluateBucketValue(JRCalculator calculator, DataAxisLevel level)`
    `void` | `evaluateRecord(JRCalculator calculator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static final org.apache.commons.logging.Log log

  - ### Constructor Detail

    - #### MultiAxisDataService

          public MultiAxisDataService(JasperReportsContext jasperReportsContext,
                              JRFillExpressionEvaluator expressionEvaluator,
                              MultiAxisData data,
                              byte evaluation)
                               throws JRException

      Throws:
        `JRException`

  - ### Method Detail

    - #### createRootLevel

          protected AxisLevel createRootLevel(Axis axis)
                                       throws JRException

      Throws:
        `JRException`

    - #### createRootBucket

          protected BucketDefinition createRootBucket()
                                               throws JRException

      Throws:
        `JRException`

    - #### createLevel

          protected AxisLevel createLevel(Axis axis,
                              DataAxisLevel dataLevel,
                              byte evaluation,
                              int depth)
                                   throws JRException

      Throws:
        `JRException`

    - #### createServiceBucket

          protected BucketDefinition createServiceBucket(DataAxisLevel level,
                                             byte evaluation)
                                                  throws JRException

      Throws:
        `JRException`

    - #### createMeasure

          protected Measure createMeasure(DataMeasure dataMeasure,
                              byte evaluation)
                                   throws JRException

      Throws:
        `JRException`

    - #### createServiceMeasure

          protected MeasureDefinition createServiceMeasure(DataMeasure measure)

    - #### evaluateRecord

          public void evaluateRecord(JRCalculator calculator)
                              throws JRExpressionEvalException

      Throws:
        `JRExpressionEvalException`

    - #### evaluateBucketValue

          protected java.lang.Object evaluateBucketValue(JRCalculator calculator,
                                             DataAxisLevel level)
                                                  throws JRExpressionEvalException

      Throws:
        `JRExpressionEvalException`

    - #### addRecord

          public void addRecord()

    - #### clearData

          public void clearData()

    - #### createDataSource

          public MultiAxisDataSource createDataSource()
                                               throws JRException

      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com